﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace Simple_Music_Player
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private FileDialog fileDialog;
        private string fileName;
        private SimpleMediaPlayer mediaPlayer;
        
        public MainWindow()
        {
            InitializeComponent();

            fileDialog = new OpenFileDialog();
            fileDialog.Filter = "Audio Files|*.mp3;*.wma;*.aac;*.flac;*.m4a;*.wav;*.m4p;*.ogg;*.ra;*.rm"; //this should permit the user only to select audio files, this list can be extended but it might be the case that not all filetypes can be played.
            fileName = "";
            mediaPlayer = new SimpleMediaPlayer();
        }

        private void OpenButton_Click(object sender, RoutedEventArgs e)
        {
            fileDialog.ShowDialog();
            if (!fileName.Equals(fileDialog.FileName)) //done so that if the file name did not change, the song is not restarted
            {
                fileName = fileDialog.FileName;
                if (!fileName.Equals(""))//we only open if we have a correct filepath.
                {
                    mediaPlayer.Open(new Uri(fileName));
                }
            }
        }

        private void PlayControlButton_Click(object sender, RoutedEventArgs e)
        {
            mediaPlayer.PlayOrPause();
        }
    }
}
